<?php
/*
SBT1 - SqrtBoy's Bittorrent Tracker v1 (GPL)
Based on FBT2 from Flippy
Website: http://www.phpsoft.org
Email: sqrtboy@phpsoft.org
*/

include ("graph/jpgraph.php");
include ("graph/jpgraph_line.php");
include ("graph/jpgraph_iconplot.php");

$handle = fopen('history.log', 'rb+');
flock($handle, LOCK_EX);
$length = filesize('history.log');

if ($length)
{
	$x = fread($handle, $length);
}

flock($handle, LOCK_UN);
fclose($handle);

$datay1 = array();
$datay2 = array();
$datay3 = array();

$data = explode(';',$x);
$data = array_splice ($data, count($data)-24);


foreach ($data as $value)
{
	$datay = explode(',',$value);
	$datay1[] = $datay[0];
	$datay2[] = $datay[1];
	$datay3[] = $datay[2];
}



// Setup the graph
$graph = new Graph(640,300);
$graph->SetMarginColor('white');
$graph->SetScale("textlin");
$graph->SetFrame(false);
$graph->SetMargin(30,50,30,30);

$graph->tabtitle->Set(' Tracker Statistics (latest 24 hours) ' );
//$graph->tabtitle->SetFont(FF_ARIAL,FS_BOLD,13);


$graph->yaxis->HideZeroLabel();
$graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');
$graph->xgrid->Show();

//$graph->xaxis->SetTickLabels($gDateLocale->GetShortMonth());

// Create the first line
$p1 = new LinePlot($datay1);
$p1->SetColor("red");
$p1->SetLegend('Torrents');
$graph->Add($p1);

// Create the second line
$p2 = new LinePlot($datay2);
$p2->SetColor("green");
$p2->SetLegend('Seeders');
$graph->Add($p2);

// Create the third line
$p3 = new LinePlot($datay3);
$p3->SetColor("navy");
$p3->SetLegend('Leechers');
$graph->Add($p3);

$graph->legend->SetShadow('gray@0.4',5);
$graph->legend->SetPos(0.1,0.1,'right','top');
// Output line
$graph->Stroke();

?>